package repository

import "context"

type thirdAgentInfoRepository interface {
	QueryPage(ctx context.Context, page, size int) *[]FThirdAgentInfoDO
	FindById(ctx context.Context, id uint64) *FThirdAgentInfoDO
	Count(ctx context.Context) int64

	Create(ctx context.Context, data *FThirdAgentInfoDO) error
	UpdateById(ctx context.Context, data FThirdAgentInfoDO) error
	UpdateStatusById(ctx context.Context, id uint64, status int, operator string) error

	deleteById(ctx context.Context, id uint64, operator string) error
}

var ThirdAgentInfo thirdAgentInfoRepository = new(thirdAgentInfoRepositoryImpl)
